be.vlaanderen.mercurius.mohm.common.v7

## Class ReportDeliveryNotAcceptedType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ReportDeliveryNotAcceptedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class ReportDeliveryNotAcceptedType
      extends Object
      implements Serializable

  Generiek type voor negatief antwoord op ontvangst van een aflevering.

  Java class for ReportDeliveryNotAcceptedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReportDeliveryNotAcceptedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DeliveryStatusType"/>
               <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ErrorListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportDeliveryNotAcceptedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorListType` | `getErrorList()` Gets the value of the errorList property.
    `DeliveryStatusType` | `getStatus()` Gets the value of the status property.
    `org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
    `void` | `setErrorList(ErrorListType value)` Sets the value of the errorList property.
    `void` | `setStatus(DeliveryStatusType value)` Sets the value of the status property.
    `void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportDeliveryNotAcceptedType

          public ReportDeliveryNotAcceptedType()

  - ### Method Detail

    - #### getStatus

          public DeliveryStatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `DeliveryStatusType`

    - #### setStatus

          public void setStatus(DeliveryStatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `DeliveryStatusType`

    - #### getStatusDate

          public org.joda.time.DateTime getStatusDate()

      Gets the value of the statusDate property.
      Returns:
        possible object is `String`

    - #### setStatusDate

          public void setStatusDate(org.joda.time.DateTime value)

      Sets the value of the statusDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getErrorList

          public ErrorListType getErrorList()

      Gets the value of the errorList property.
      Returns:
        possible object is `ErrorListType`

    - #### setErrorList

          public void setErrorList(ErrorListType value)

      Sets the value of the errorList property.
      Parameters:
        `value` - allowed object is `ErrorListType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.